<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Talocha (http://www.php-fusion.com.es)
| USER's PHOTO ALBUMS for PHP-Fusion 7.02.xx
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."userphotogallery/infusion_db.php";
include INFUSIONS."userphotogallery/locale/".$settings['locale']."/".$settings['locale'].".php";

$inf_title = $locale['titulo'];
$inf_description = $locale['desc'];
$inf_version = "1.0";
$inf_developer = "Talocha";
$inf_email = "talochacor@gmail.com";
$inf_weburl = "http://co.laweb.es";

$inf_folder = "userphotogallery";

$inf_newtable[1] = DB_USERPHOTO_ALBUMS." (
  `album_id` mediumint(8) unsigned NOT NULL auto_increment,
  `album_title` varchar(100) NOT NULL default '',
  `album_description` text NOT NULL,
  `album_thumb` varchar(100) NOT NULL default '',
  `album_user` mediumint(8) unsigned NOT NULL default '0',
  `album_access` smallint(5) unsigned NOT NULL default '0',
  `album_order` smallint(5) unsigned NOT NULL default '0',
  `album_datestamp` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`album_id`),
  KEY `album_order` (`album_order`),
  KEY `album_datestamp` (`album_datestamp`)
) ENGINE=MyISAM;";

$inf_newtable[2] = DB_USERPHOTOS." (
  `photo_id` mediumint(8) unsigned NOT NULL auto_increment,
  `album_id` mediumint(8) unsigned NOT NULL default '0',
  `photo_title` varchar(100) NOT NULL default '',
  `photo_description` text NOT NULL,
  `photo_filename` varchar(100) NOT NULL default '',
  `photo_thumb1` varchar(100) NOT NULL default '',
  `photo_thumb2` varchar(100) NOT NULL default '',
  `photo_datestamp` int(10) unsigned NOT NULL default '0',
  `photo_user` mediumint(8) unsigned NOT NULL default '0',
  `photo_views` int(10) unsigned NOT NULL default '0',
  `photo_order` smallint(5) unsigned NOT NULL default '0',
  `photo_allow_comments` tinyint(1) unsigned NOT NULL default '1',
  `photo_allow_ratings` tinyint(1) unsigned NOT NULL default '1',
  PRIMARY KEY  (`photo_id`),
  KEY `photo_order` (`photo_order`),
  KEY `photo_datestamp` (`photo_datestamp`)
) ENGINE=MyISAM;";

$inf_droptable[1] = DB_USERPHOTO_ALBUMS;

$inf_droptable[2] = DB_USERPHOTOS;

$inf_adminpanel[1] = array(
	"title" => $locale['admin1'],
	"image" => "photoalbums.gif",
	"panel" => "adminphotoalbums.php",
	"rights" => "AFA"
);

$inf_sitelink[1] = array(
	"title" => $locale['link1'],
	"url" => "userphotogallery.php",
	"visibility" => "0"
);

$inf_sitelink[2] = array(
	"title" => $locale['link2'],
	"url" => "index.php",
	"visibility" => "0"
);

?>
